org.springframework.cloud.dataflow.server.config

## Class DataFlowControllerAutoConfiguration.AuditingConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.DataFlowControllerAutoConfiguration.AuditingConfiguration

- Enclosing class:
    DataFlowControllerAutoConfiguration

      @Configuration
      public static class DataFlowControllerAutoConfiguration.AuditingConfiguration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditingConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuditRecordController` | `auditController(org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService)`
    `org.springframework.cloud.dataflow.audit.service.AuditRecordService` | `auditRecordService(org.springframework.cloud.dataflow.audit.repository.AuditRecordRepository auditRecordRepository, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditingConfiguration

          public AuditingConfiguration()

  - ### Method Detail

    - #### auditRecordService

          @Bean
          public org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService(org.springframework.cloud.dataflow.audit.repository.AuditRecordRepository auditRecordRepository,
                                                                                                              com.fasterxml.jackson.databind.ObjectMapper objectMapper)

    - #### auditController

          @Bean
           @ConditionalOnBean(value=org.springframework.cloud.dataflow.audit.service.AuditRecordService.class)
          public AuditRecordController auditController(org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.